Page MenuHomePhabricator

VisualEditor crashes on a particular template insertion
Closed, ResolvedPublic1 Story Points

Description

Steps to reproduce:

  1. Go to an arbitrary page on Czech Wikipedia.
  2. Open visual editor.
  3. "Insert" > "Template" > Input "Poznámka pod čarou" > "Add template"
  4. Fill the suggested parameter with arbitrary text.
  5. Click "Insert".

Instead of inserting the template, the editor gets stuck.

The content of the template is {{#tag:ref|{{{1}}}|group="P"}}.

Browser console reports:

jQuery.Deferred exception: element.querySelectorAll is not a function ve.stripParsoidFallbackIds@https://cs.wikipedia.org/w/load.php?...:1803:856
ve.ce.MWTransclusionNode.static.filterRendering@https://cs.wikipedia.org/w/load.php?...:2149:859
ve.dm.MWTransclusionModel.prototype.insertTransclusionNode/<@https://cs.wikipedia.org/w/load.php?...:2155:196
mightThrow@https://cs.wikipedia.org/w/load.php?debug=false&lang=cs&modules=jquery%2Cmediawiki%7Cmediawiki.legacy.wikibits&only=scripts&skin=vector&version=0upuj5q:49:590
resolve/</process<@https://cs.wikipedia.org/w/load.php?debug=false&lang=cs&modules=jquery%2Cmediawiki%7Cmediawiki.legacy.wikibits&only=scripts&skin=vector&version=0upuj5q:50:269
 undefined

Details

Related Gerrit Patches:

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 16 2018, 4:28 PM
Esanders claimed this task.May 16 2018, 5:50 PM
Esanders triaged this task as High priority.
Esanders edited projects, added VisualEditor (Current work); removed VisualEditor.
Esanders updated the task description. (Show Details)

Change 433430 had a related patch set uploaded (by Esanders; owner: Esanders):
[mediawiki/extensions/VisualEditor@master] Fix ve.ce.MWTransclusionNode#filterRendering to work with non-element nodes

https://gerrit.wikimedia.org/r/433430

Change 433430 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Fix ve.ce.MWTransclusionNode#filterRendering to work with non-element nodes

https://gerrit.wikimedia.org/r/433430

Jdforrester-WMF set the point value for this task to 1.
Deskana closed this task as Resolved.May 28 2018, 3:40 PM
Vvjjkkii renamed this task from VisualEditor crashes on a particular template insertion to 4ucaaaaaaa.Jul 1 2018, 1:09 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed Esanders as the assignee of this task.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed the point value for this task.
Vvjjkkii edited subscribers, added: Esanders; removed: gerritbot, Aklapper.
CommunityTechBot renamed this task from 4ucaaaaaaa to VisualEditor crashes on a particular template insertion.Jul 2 2018, 6:46 AM
CommunityTechBot closed this task as Resolved.
CommunityTechBot assigned this task to Esanders.
CommunityTechBot set the point value for this task to 1.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot edited subscribers, added: gerritbot, Aklapper; removed: Esanders.